Full LDAPv2 and LDAPv3 Support

RESOLVED WONTFIX

Status

MailNews Core
LDAP Integration
--
enhancement
RESOLVED WONTFIX
2 years ago
2 years ago

People

(Reporter: moeller.akt, Unassigned)

Tracking

Trunk

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [closeme 2016-04-15])

(Reporter)

Description

2 years ago
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; .NET4.0E; .NET4.0C; .NET CLR 3.5.30729; .NET CLR 2.0.50727; .NET CLR 3.0.30729; McAfee; GWX:QUALIFIED; rv:11.0) like Gecko

Steps to reproduce:

--- Feature Request ---


Actual results:

--- Feature Request ---


Expected results:

Full Support for LDAPv2 and LDAPv3 should be added !
Currently ist only partial.

Regards,
Martin

Updated

2 years ago
Severity: normal → enhancement

Comment 1

2 years ago
ldapv2 is ancient history - http://stackoverflow.com/questions/3509169/whats-the-difference-between-ldap-v2-and-v3-in-terms-of-architecture

What does Thunderbird not have from ldapv3 that you do not see listed in https://bugzilla.mozilla.org/buglist.cgi?j_top=OR&f1=longdesc&o3=substring&list_id=12932138&short_desc=ldap&v3=ldap%20v3&o1=anywordssubstr&resolution=---&o2=substring&query_format=advanced&f3=longdesc&f2=short_desc&short_desc_type=allwordssubstr&v1=ldapv3&v2=edit&product=Directory
Component: Untriaged → LDAP Integration
Flags: needinfo?(moeller.akt)
Product: Thunderbird → MailNews Core
Whiteboard: [closeme 2016-04-15]

Comment 2

2 years ago
need more detail from reporter
Status: UNCONFIRMED → RESOLVED
Last Resolved: 2 years ago
Flags: needinfo?(moeller.akt)
Resolution: --- → INCOMPLETE
LDAPv2 is obsolete and not secure, so no.
LDAPv2 was deprecated in March 2003 by RFC 3494 ( http://tools.ietf.org/html/rfc3494 )
Resolution: INCOMPLETE → WONTFIX
You need to log in before you can comment on or make changes to this bug.